<div class="absolute inset-0 flex flex-col min-w-0 ">
    <div class="w-full bg-center bg-opacity-20 relative ">
        <!-- Watermark Text Container -->
        <div class="absolute inset-0 flex items-center item-start text-red-500 text-opacity-20">
            <!-- Apply a 45-degree rotation and repeat the text -->
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 200px; left: 0;">
                {{userFullNam}}
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 200px; left: 400px;">
                 {{userFullNam}}
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 200px; left: 800px;">
                 {{userFullNam}}
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 200px; left: 1200px;">
                 {{userFullNam}}
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 200px; left: 1600px;">
                 {{userFullNam}}
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 500px; left: 0;">
                 {{userFullNam}}
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 500px; left: 400px;">
                 {{userFullNam}}
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 500px; left: 800px;">
                 {{userFullNam}}
            </p>
            <p class="text-1xl font-bold transform -rotate-45" style="position: absolute; top: 500px; left: 1200px;">
                 {{userFullNam}}
            </p>
            <p class="text-6xl font-bold transform -rotate-45" style="position: absolute; top: 500px; left: 1600px;">
                 {{userFullNam}}
            </p>

        </div>
    </div>
    <!-- Main -->
    <!--     <div class="flex flex-auto overflow-hidden">
        <router-outlet></router-outlet>
    </div> -->
    <div class="flex flex-auto w-full">
        <!-- side control panel -->
        <div class="flex-col w-90 h-screen bg-slate-200 p-2 sticky top-0">
            <!-- search cid panel -->
            <!-- <span>ค้นหาประวัติจากบัตรประชาชน</span> -->
            <div class="flex-row w-full mb-2">
                <div class="mp-2">
                    <mat-form-field class="fuse-mat-rounded fuse-mat-dense w-full items-center" [subscriptSizing]="'dynamic'">
                        <span class="-ml-4 mr-2 bg-gray-300 rounded-s-full p-1 h-full w-12 text-center items-center border border-slate-200 ">
                            <mat-icon class="text-gray-800">person</mat-icon>
                        </span>
                        <!-- <mat-icon matPrefix class="icon-size-7 -ml-4 mr-2 bg-gray-300 rounded-s-full border border-slate-200" (click)="search_cid(searchField.value)" class="cursor-pointer"
                        [svgIcon]="'heroicons_solid:user-circle'"></mat-icon> -->
                        <input matInput [autocomplete]="'off'" [placeholder]="'ค้นหาประวัติจากบัตรประชาชน'"
                            (keyup.enter)="search_cid(searchField.value)" #searchField>
                        <mat-icon MatSuffix class="icon-size-5" (click)="search_cid(searchField.value)" class="cursor-pointer"
                            [svgIcon]="'heroicons_solid:magnifying-glass'"></mat-icon>
                    </mat-form-field>
                </div>
                <div class="flex mt-2 w-full justify-center content-center items-center">
                    <button mat-raised-button class="w-full bg-green-200 " (click)="readSamrtCard()">เชื่อมต่อบัตรประชาชน</button>
                </div>
            </div>
            <!-- end search cid panel -->
            <!-- select hospital -->

            <!-- Summary -->
            <div class="flex flex-col flex-auto p-4 bg-card shadow rounded-xl overflow-hidden mb-2 h-48">
                <div class="flex items-start justify-between">
                    <div class="text-lg font-medium tracking-tight leading-6 truncate">หน่วยบริการ</div>
                </div>
                <div class="flex flex-col">
                    <div class="flex-col h-48 bg-white p-2 overflow-y-auto">
                        <div class="text-1xl font-medium text-blue-600 dark:text-blue-500">
                            <div *ngIf="hospitals.length == 0">ไม่พบข้อมูล</div>
                            <div *ngFor="let hosp of hospitals" class>
                                <div *ngIf="select_hospcode == hosp.hospcode"
                                    class="text-black cursor-pointer bg-teal-200 select-none"
                                    (click)="search_hospital(hosp.hospcode)">{{hosp.name}} ({{hosp.total}})</div>
                                <div *ngIf="select_hospcode != hosp.hospcode"
                                    class="text-black cursor-pointer hover:bg-teal-100 select-none"
                                    (click)="search_hospital(hosp.hospcode)">{{hosp.name}} ({{hosp.total}})</div>
                            </div>
                        </div>
                    </div>
                    <!-- <div class="text-7xl sm:text-8xl font-bold tracking-tight leading-none text-blue-500">21</div>
                    <div class="text-lg font-medium text-blue-600 dark:text-blue-500">Due Tasks</div>
                    <div class="flex items-baseline justify-center w-full mt-5 text-secondary">
                        <div class="text-md font-medium truncate">Completed:</div>
                        <div class="ml-1.5 text-lg font-semibold">13</div>
                    </div> -->
                </div>
            </div>

            <div class="flex flex-col flex-auto p-4 bg-card shadow rounded-xl h-full overflow-hidden mb-2 h-48">
                <div class="flex items-start justify-between">
                    <div class="text-lg font-medium tracking-tight leading-6 truncate">วันที่มารับบริการ</div>
                </div>
                <div class="flex flex-col">
                    <div class="flex-col h-full bg-white p-2 overflow-y-auto">
                        <div class="text-1xl font-medium text-blue-600 dark:text-blue-500">
                            <div *ngIf="visits.length == 0">ไม่พบข้อมูล</div>
                            <ul class="list-disc">
                                <li *ngFor="let v of visits">
                                    <div *ngIf="select_visit == v.vn"
                                        class="cursor-pointer bg-teal-200 select-none text-sm " (click)="search_visit(v)">
                                        -&nbsp;<span class="text-black">{{v.clinic}} :</span> <span class="text-gray-600 font-light">({{v.date}} {{v.time}})</span>
                                    </div>
                                    <div *ngIf="select_visit != v.vn"
                                        class="text-black cursor-pointer hover:bg-teal-100 select-none text-sm "
                                        (click)="search_visit(v)">
                                        -&nbsp;<span class="text-black">{{v.clinic}} :</span> <span class="text-gray-600 font-light">({{v.date}} {{v.time}})</span>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </div>

                </div>
            </div>

        </div>
        <!-- end side control panel -->

        <!-- main content -->
        <div class="flex flex-col m-2 w-full overflow-y-scroll bg-white h-screen max-h-screen">
            <ngx-spinner bdColor="rgba(0,0,0,0.3)" color="#fff" type="ball-clip-rotate-multiple" size="large" [fullScreen]="false">
                <p style="color: white;margin-top: 30px;">Loading Datas...</p>
                <!--if fullscreen false  Your parent container(div) should have position: relative;  -->
            </ngx-spinner>

            <div class="bg-card mb-0 sticky top-0">
                <div class="flex flex-col w-full max-w-screen-xl mx-auto px-4 sm:px-4">
                    <div class="flex flex-col sm:flex-row flex-auto sm:items-center min-w-0 my-4 sm:my-2">
                        <!-- Avatar and name -->
                        <div class="flex flex-auto items-center min-w-0">
                            <div class="flex-0 w-16 h-16 rounded-full overflow-hidden">
                                <!-- <img class="w-full h-full object-cover" src="assets/images/avatars/brian-hughes.jpg"> -->
                                <!-- <img *ngIf="" class="w-full h-full object-cover" src="assets/images/male.png"> -->
                                <img *ngIf="patient.sex =='หญิง'" class="w-full h-full object-cover" src="assets/images/female.png">
                                <img *ngIf="patient.sex =='ชาย'" class="w-full h-full object-cover" src="assets/images/male.png">

                            </div>
                            <div class="flex flex-col min-w-0 ml-4">
                                <div
                                    class="text-1xl md:text-2xl font-semibold tracking-tight leading-7 md:leading-snug truncate mb-2">
                                    {{patient.first_name}} {{patient.last_name}}</div>
                                <div class="flex items-center mb-1">
                                    <mat-icon class="icon-size-5" [svgIcon]="'heroicons_solid:bell'"></mat-icon>
                                    <div class="ml-1.5 leading-6 truncate text-secondary">
                                        <span class="text-1xl content-center pr-2"> เพศ {{patient.sex}} สิทธิ์การรักษา
                                            {{patient.pttype_name}}</span>
                                        <span class="text-1xl content-center pr-2">วันที่มารับบริการ
                                            {{selected_dateserv}} เวลา
                                            {{selected_timeserv }} คลินิก {{selected_namecln}} </span>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>

                    <div class="flex p-0">
                        <div class="flex-none w-40 ...">
                            <div class="relative flex self-start w-fit pt-2 pb-1 pl-5 pr-4 cursor-pointer overflow-hidden rounded-t-xl border border-b-0 bg-slate-100">
                                <div class="flex items-center bg-slate-100">
                                    <div class="overflow-hidden">
                                        <div class="font-medium leading-6 truncate bg-slate-100">ประวัติการักษา</div>
                                    </div>
                                    <div class="flex items-center justify-center pl-2">
                                        <mat-icon class="icon-size-5" [svgIcon]="'heroicons_solid:chevron-down'"></mat-icon>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="grow ...">

                        </div>
                    </div>

                </div>
            </div>

            <div class="flex flex-col p-2 ml-4 mr-4 mb-4 bg-card shadow rounded h-full overflow-y-scroll h-screen max-h-screen overflow-y-auto bg-slate-100">

                <div class="flex flex-col flex-auto p-2 h-full overflow-y-auto bg-white">
                    <div class="h-full">
                        <div class="w-full mb-3 divide-x gap-x-5">
                            <span class="font-bold">V/S:</span>
                            <span class="mx-1">BW: {{wt}} kg</span>
                            <span class="mx-1">ส่วนสูง: {{ht}} cm</span>
                            <span class="mx-1">Temp: {{bt}} c</span>
                            <span class="mx-1">BP: {{sbp}}/{{dbp}} mmHg</span>
                            <span class="mx-1">PR: {{pr}} /min</span>
                            <span class="mx-1">RR: {{rr}} /min</span>
                            <span class="mx-1">BMI: {{bmi}} /min</span>
                            <span class="mx-1">o2sat: {{o2sat}} /min</span>
                            <span class="mx-1">eye_score: {{eye_score}} /min</span>
                            <span class="mx-1">gcs_score: {{gcs_score}} /min</span>
                        </div>

                        <div class="grid grid-cols-2 sm:grid-cols-4 md:grid-cols-4 lg:grid-cols-4 gap-4">

                            <div class="border-2 rounded p-2">
                                <div class="font-bold bg-white -mt-5 w-fit ">CC:
                                </div>
                                <div class="min-h-14"> {{cc}}</div>
                            </div>
                            <div class="border-2 rounded p-2">
                                <div class="font-bold bg-white -mt-5 w-fit ">PI:
                                </div>
                                <div class="min-h-14"> {{pi}}</div>
                            </div>
                            <div class="border-2 rounded p-2">
                                <div class="font-bold bg-white -mt-5 w-fit ">PH:
                                </div>
                                <div class="min-h-14"> {{ph}}</div>
                            </div>
                            <div class="border-2 rounded p-2">
                                <div class="font-bold bg-white -mt-5 w-fit ">PE:
                                </div>
                                <div class="min-h-14"> {{pe}}</div>
                            </div>

                        </div>

                        <div class="w-full mt-2">

                            <div class="flex flex-wrap">
                                <!-- On small and medium screens, use 1 column -->
                                <div class="w-full sm:w-1/2 md:w-1/2 lg:w-1/2 xl:w-1/2 2xl:w-1/2 p-4">
                                    <div class="font-bold">ประวัติการแพ้ยา : </div>
                                    <div class="flex flex-row" *ngIf="allergy.allergy?.length == 0">ไม่พบข้อมูล</div>
                                    <table class="table-auto border border-slate-500 rounded-lg text-sm" *ngIf="allergy.allergy?.length > 0">
                                        <thead>
                                            <tr>
                                                <th class="border border-slate-400 p-1 bg-gray-200 ...">รายการยา</th>
                                                <th class="border border-slate-400 p-1 bg-gray-200 ...">วันที่รายงาน</th>
                                                <th class="border border-slate-400 p-1 bg-gray-200 ...">ระดับการแพ้</th>
                                                <th class="border border-slate-400 p-1 bg-gray-200 ...">อาการที่แพ้</th>
                                                <th class="border border-slate-400 p-1 bg-gray-200 ...">สถานที่ตรวจพบ</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr *ngFor="let d of allergy.allergy">
                                                <td class="border border-slate-200 p-1 ...">{{d.drug_name}}</td>
                                                <td class="border border-slate-200 p-1 ...">{{changeDateFormat(d.report_date)}}</td>
                                                <td class="border border-slate-200 p-1 ...">{{d.allergy_level_name}}</td>
                                                <td class="border border-slate-200 p-1 ...">{{d.symptom}}</td>
                                                <td class="border border-slate-200 p-1 ...">{{d.hospital_name}}</td>
                                            </tr>

                                        </tbody>
                                    </table>
                                </div>

                                <div class="w-full sm:w-1/2 md:w-1/2 lg:w-1/2 xl:w-1/2 2xl:w-1/2 p-4">
                                    <div class="font-bold">ประวัติการได้รับยา Warfarin/SK : </div>
                                    <div class="flex flex-row" *ngIf="allergy.drug?.length == 0">ไม่พบข้อมูล</div>
                                    <table class="table-auto border border-slate-500 rounded-lg text-sm" *ngIf="allergy.drug?.length > 0">
                                        <thead>
                                            <tr>
                                                <th class="border border-slate-400 p-1 bg-gray-200 ...">รายการยา</th>
                                                <th class="border border-slate-400 p-1 bg-gray-200 ...">วันที่รับยา</th>
                                                <th class="border border-slate-400 p-1 bg-gray-200 ...">สถานะการใช้ยา</th>
                                                <th class="border border-slate-400 p-1 bg-gray-200 ...">สถานที่รับ</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr *ngFor="let d of allergy.drug">
                                                <td class="border border-slate-200 p-1 ...">{{d.drug_name}}</td>
                                                <td class="border border-slate-200 p-1 ...">{{changeDateFormat(d.use_date)}}</td>
                                                <td class="border border-slate-200 p-1 ...">{{d.hospital_name}}</td>
                                                <td class="border border-slate-200 p-1 ..." *ngIf="d.is_active">ยังใช้อยู่</td>
                                                <td class="border border-slate-200 p-1 ..." *ngIf="!d.is_active">หยุดการใช้แล้ว</td>

                                            </tr>

                                        </tbody>
                                    </table>
                                </div>

                                <!-- Repeat this pattern for additional columns as needed -->
                            </div>

                        </div>
                        <div class="w-full mt-2">
                            <div class="font-bold">
                                <span>G6PD :</span>
                                <span class *ngIf="allergy.g6pd?.length == 0">ไม่พบข้อมูล</span>
                                <span class *ngIf="allergy.g6pd?.length > 0 ">
                                    <span class="text-sm">วันที่ตรวจพบ:{{changeDateFormat(allergy.g6pd[0].d_update)}}&nbsp;&nbsp;หมายเหตุ:{{allergy.g6pd[0].note}}</span>
                                </span>
                            </div>
                        </div>

                        <hr>
                        <div class="flex ...">
                            <div class="flex-none w-40 ...">
                                <div class="w-full mt-2">
                                    <span class="font-bold text-2xl">ผลการตรวจรักษา : </span><br>

                                </div>
                            </div>
                            <div class="grow ...">
                                <div>
                                    <div class="flex justify-start">
                                        <mat-chip-listbox aria-label="Fish selection">

                                            <mat-chip-option color="accent" selected (click)="change_layout()">OPD</mat-chip-option>
                                            <mat-chip-option color="accent" (click)="change_layout()">IPD</mat-chip-option>

                                        </mat-chip-listbox>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <!-- <div class="flex flex-col flex-auto h-64 overflow-y-auto"> -->
                        <div class="flex flex-col flex-auto">
                            <div class="h-full">
                                <!-- <div class="lg:w-2/3 md:w-1/2 sm:w-full max-h-screen overflow-y-auto"> -->
                                <!-- diagnosis -->
                                <div class="flex-col w-full mt-2 px-1">
                                    <div class="bg-teal-200">
                                        <span class="pl-4 font-bold">ผลการวินิจฉัย : </span>
                                    </div>
                                    <div *ngFor="let d of diagnosis">
                                        <div class="flex flex-row">
                                            <div class="w-1/4 pl-4">{{d.icd_code}}</div>
                                            <div class="w-full pl-4">{{d.icd_name}}</div>
                                        </div>
                                    </div>
                                    <div *ngIf="diagnosis?.length == 0" class="flex flex-row  bg-blue-50 p-1">
                                        <span class="text-sm text-red-700 pl-5">ไม่พบข้อมูล</span>
                                    </div>
                                </div>
                                <!-- end diagnosis -->
                                <!-- procedure info -->
                                <div class="flex flex-col w-full mt-2 px-1">
                                    <!-- <div class="pl-4 text-lg font-bold bg-blue-50 text-center">ข้อมูลหัตถการ</div> -->
                                    <div class="bg-teal-200">
                                        <span class="pl-4 font-bold">ข้อมูลหัตถการ: </span>
                                    </div>
                                    <div *ngIf="procedures?.length > 0" class="flex flex-row  bg-blue-50 p-1">
                                        <div class="w-1/4 pl-4">วันเวลา</div>
                                        <div class="w-1/4">รหัส</div>
                                        <div class="w-1/2">รายการ</div>
                                    </div>
                                    <div *ngIf="procedures?.length == 0" class="flex flex-row  bg-blue-50 p-1">
                                        <span class="text-sm text-red-700 pl-5">ไม่พบข้อมูล</span>
                                    </div>

                                    <div *ngFor="let p of procedures">
                                        <div class="flex flex-row">
                                            <div class="w-1/4">{{p.start_date}} {{p.start_time}}</div>
                                            <div class="w-1/4">{{p.procedure_code}}</div>
                                            <div class="w-1/2">{{p.procedure_name}}</div>
                                        </div>
                                    </div>
                                </div>
                                <!-- end procedure info -->

                                <!-- is opd display -->
                                <div *ngIf="!is_admit" class="w-full">
                                    <!-- drugs info -->
                                    <div class="flex flex-col w-full mt-2 px-1">
                                        <!-- <div class="pl-4 text-lg font-bold bg-green-200 text-center">ข้อมูลยา</div> -->
                                        <div class="bg-teal-200">
                                            <span class="pl-4 font-bold">ข้อมูลยา: </span>
                                        </div>
                                        <div *ngIf="drugs?.length > 0" class="flex flex-row bg-green-100 p-1">
                                            <div class="w-1/4 pl-4 font-bold">วันเวลา</div>
                                            <div class="w-1/2 font-bold">รายการยา</div>
                                            <div class="w-1/2 font-bold">วิธีใช้</div>
                                            <div class="w-1/4 font-bold">จำนวน</div>
                                        </div>
                                        <div *ngFor="let rx of drugs">
                                            <div class="flex flex-row">
                                                <div class="w-1/4 pl-4">{{rx.date_serv}} {{rx.time_serv}}</div>
                                                <div class="w-1/2 ">{{rx.drug_name}}</div>
                                                <div class="w-1/2">{{rx.drug_usage}}</div>
                                                <div class="w-1/4">{{rx.qty}}</div>
                                            </div>
                                        </div>
                                        <div *ngIf="drugs?.length == 0" class="flex flex-row  bg-blue-50 p-1">
                                            <span class="text-sm text-red-700 pl-5">ไม่พบข้อมูล</span>
                                        </div>
                                    </div>
                                    <!-- end drugs info -->
                                    <!-- lab info -->
                                    <div class="flex flex-col w-full  mt-2 px-1">
                                        <!-- <div class="pl-4 text-lg font-bold bg-yellow-200 text-center">ข้อมูลผลการตรวจห้องปฏิบัติการ</div> -->
                                        <div class="bg-teal-200">
                                            <span class="pl-4 font-bold">ข้อมูลผลการตรวจห้องปฏิบัติการ: </span>
                                        </div>
                                        <div *ngIf="labs?.length == 0" class="flex flex-row  bg-yellow-100 p-1">
                                            <div class="w-1/4 pl-4 font-bold">วันเวลา</div>
                                            <div class="w-1/4 font-bold">รายการ</div>
                                            <div class="w-1/4 font-bold">ผล</div>
                                            <div class="w-1/4 font-bold">Normal</div>
                                        </div>
                                        <div *ngFor="let l of labs">
                                            <div class="flex flex-row">
                                                <!-- <div class="w-1/4 pl-2">{{l.date}} {{l.time}}</div> -->
                                                <div class="w-1/4 pl-2">{{l.date_serv}} {{l.time_serv}}</div>
                                                <div class="w-1/4">{{l.lab_name}}</div>
                                                <div class="w-1/4">{{l.lab_result}} {{l.unit}}</div>
                                                <div class="w-1/4">{{l.standard_result}}</div>
                                            </div>
                                        </div>
                                        <div *ngIf="labs?.length == 0" class="flex flex-row  bg-blue-50 p-1">
                                            <span class="text-sm text-red-700 pl-5">ไม่พบข้อมูล</span>
                                        </div>
                                    </div>
                                    <!-- end lab info -->
                                    <!-- Xray -->
                                    <div class="flex-col w-full mt-2 px-1">
                                        <div class="bg-teal-200">
                                            <span class="pl-4 font-bold">ข้อมูลการตรวจรังสี: </span>
                                        </div>
                                        <div *ngIf="xrays?.length > 0" class="flex flex-row  bg-blue-50 p-1">
                                            <div class="w-1/2 pl-4">วันที่</div>
                                            <div class="w-1/2">รายการ</div>
                                        </div>
                                        <div *ngFor="let x of xrays">
                                            <div class="flex flex-row">
                                                <div class="w-1/2 pl-4">{{x.date_serv}}</div>
                                                <div class="w-1/4 pl-4">{{x.xray_name}}</div>
                                            </div>
                                        </div>
                                        <div *ngIf="xrays?.length == 0" class="flex flex-row  bg-blue-50 p-1">
                                            <span class="text-sm text-red-700 pl-5">ไม่พบข้อมูล</span>
                                        </div>
                                    </div>
                                    <!-- end xray -->

                                </div>

                                <!-- end is opd display -->
                                <!-- treatment -->
                                <div *ngIf="is_admit" class="w-full">
                                    <!-- Tabs -->
                                    <mat-tab-group class="sm:px-2" mat-stretch-tabs="false" [animationDuration]="'0'">
                                        <!-- Tab Drugs-->
                                        <mat-tab label="ยา">
                                            <div class="flex flex-col w-full">
                                                <div class="flex flex-row bg-green-100 p-1">
                                                    <div class="w-1/5 pl-4 font-bold">วัน</div>
                                                    <div class="w-2/5 pl-4 font-bold">OneDay</div>
                                                    <div class="w-2/5 font-bold">Continue</div>
                                                </div>
                                                <div *ngFor="let rx of orders">
                                                    <div *ngIf="!rx.is_same_date" class="w-full"><hr></div>
                                                    <div class="flex flex-row">
                                                        <div class="w-1/5 pl-2"><span *ngIf="!rx.is_same_date">{{rx.date_start}}</span></div>
                                                        <div class="w-2/5 pl-2"><span *ngIf="rx.order_type == 'ONEDAY'">{{rx.drug_name}} {{rx.drug_usage}} {{rx.qty}} {{rx.unit}}</span></div>
                                                        <div class="w-2/5"><span *ngIf="rx.order_type == 'CONTINUE'">{{rx.drug_name}} {{rx.drug_usage}}</span></div>
                                                    </div>
                                                </div>
                                            </div>
                                        </mat-tab>
                                        <!-- end Tab Drugs-->

                                        <!-- Tab Lab-->
                                        <mat-tab label="Lab">
                                            <div class="flex flex-col w-full">
                                                <div class="flex flex-row  bg-yellow-100 p-1">
                                                    <div class="w-1/4 font-bold">วันที่</div>
                                                    <div class="w-1/4 font-bold">เวลา</div>
                                                    <div class="w-1/4 font-bold">รายการ</div>
                                                    <div class="w-1/4 font-bold">ผล</div>
                                                    <div class="w-1/4 font-bold">Normal</div>
                                                </div>
                                                <div *ngFor="let l of labs">
                                                    <div class="flex flex-row">
                                                        <!-- <div class="w-1/4 pl-2">{{l.date}} {{l.time}}</div> -->
                                                        <div class="w-1/4">{{l.date_serv}}</div>
                                                        <div class="w-1/4">{{l.time_serv}}</div>
                                                        <div class="w-1/4">{{l.lab_name}}</div>
                                                        <div class="w-1/4">{{l.lab_result}} {{l.unit}}</div>
                                                        <div class="w-1/4">{{l.standard_result}}</div>
                                                    </div>
                                                </div>
                                            </div>
                                        </mat-tab>
                                        <!-- end Tab Lab-->

                                        <!-- Tab Procedure-->
                                        <mat-tab label="หัตถการ">
                                            <div class="flex flex-col w-full">
                                                <div class="flex flex-row  bg-blue-50 p-1">
                                                    <div class="w-1/2">วันที่</div>
                                                    <div class="w-1/2">เวลา</div>
                                                    <div class="w-1/2">รหัส</div>
                                                    <div class="w-1/2">รายการ</div>
                                                </div>
                                                <div *ngFor="let p of procedures">
                                                    <div class="flex flex-row">
                                                        <div class="w-1/2">{{p.start_date}}</div>
                                                        <div class="w-1/2">{{p.start_time}}</div>
                                                        <div class="w-1/2">{{p.procedure_code}}</div>
                                                        <div class="w-1/2">{{p.procedure_name}}</div>
                                                    </div>
                                                </div>
                                            </div>
                                        </mat-tab>
                                        <!-- end Tab Procedure-->

                                        <!-- Tab Xray -->
                                        <mat-tab label="X-Ray">
                                            <div class="flex-col w-full mt-2 px-1">
                                                <div class="flex flex-row  bg-blue-50 p-1">
                                                    <div class="w-1/2">วันที่</div>
                                                    <div class="w-1/2">รายการ</div>
                                                </div>
                                                <div *ngFor="let x of xrays">
                                                    <div class="flex flex-row">
                                                        <div class="w-1/2 pl-4">{{x.date_serv}}</div>
                                                        <div class="w-1/4 pl-4">{{x.xray_name}}</div>
                                                    </div>
                                                </div>
                                            </div>
                                        </mat-tab>
                                        <!-- end Tab Xray -->

                                    </mat-tab-group>
                                    <!-- end tabs-->
                                </div>
                                <!-- </div> -->
                            </div>
                        </div>

                    </div>
                </div>

            </div>
        </div>

    </div>
  
</div>
